function ploteltsNumber(self,varargin)
  if self.d>3
    error('Unable to plot in dimension > 3!')
  end
  p = inputParser;
  p.KeepUnmatched=true; 
  p.PartialMatching=false;
  p.addParamValue('m',self.d,@isscalar);
  p.addParamValue('numFaces',[]);
  p.parse(varargin{:});
  R=p.Results;
  varargin=fc_tools.utils.deleteCellOptions(varargin,p.Parameters);
  assert( (R.m <= self.d) & (R.m>=0) )
  %set(gcf(),'visible','off')
  if R.m==self.d
    self.Mesh.ploteltsNumber(varargin{:});
  else
    idx=self.getFacesIndex(R.m);
    nF=length(self.Faces{idx});
    if isempty(R.numFaces)
      R.numFaces=1:nF;
    else
      assert(isempty(setdiff(R.numFaces,1:nF)),'Error with numFaces option')
    end
    pih=fc_tools.graphics.SetHoldOn(true);
    for i=R.numFaces
      self.Faces{idx}(i).ploteltsNumber(varargin{:});
    end
    fc_tools.graphics.RestoreHold(pih)
  end
  
end
