function plotElementsNumber(q,me,varargin)
  dim=size(q,1);nme=size(me,2);
  varargin=fc_tools.graphics.xcolor.set_xcolors_varargin(varargin);
  assert(ismember(dim,1:3),'Unable to plot in space dimension %d',dim)
  p = inputParser; 
  p.KeepUnmatched=true; 
  p.PartialMatching=false;
  p.addParamValue('type','simplex', @(x) ismember(lower(x),{'simplex','orthotope'}));
  p.addParamValue('order',1);
  p.addParamValue('m',[]);
  p.addParamValue('HorizontalAlignment','center');
  p.addParamValue('VerticalAlignment','middle');
  p.addParamValue('FontSize',5);
  p.addParamValue('clipping','on');
  p.addParamValue('Numbers',1:nme);
  p.addParamValue('vLineColor',''); % Lines vertices to barycenter
  p.addParamValue('vLineStyle',':');
  p.addParamValue('vLineWidth',0.5);
  p.parse(varargin{:});
  R=p.Results;
  varargin=fc_tools.utils.deleteCellOptions(varargin,p.Parameters);
  TextOptions={varargin{:},'HorizontalAlignment',R.HorizontalAlignment, ...
                        'VerticalAlignment',R.VerticalAlignment, ...
                        'clipping',R.clipping, 'FontSize',R.FontSize};
  if size(R.Numbers,1)==1,R.Numbers=R.Numbers';end
  Ba=fc_hypermesh.barycenters(q,me,'type',R.type,'order',R.order,'m',R.m);
  pih=fc_tools.graphics.SetHoldOn(true);
  if ~isempty(R.vLineColor)
    R.vLineColor=fc_tools.graphics.xcolor.val2rgb(R.vLineColor);
    [d,m,order]=fc_hypermesh.getMeshDims(q,me,'type',R.type,'order',R.order,'m',R.m);
    Idx=fc_hypermesh.VerticesIdxRef(m,order,'type',R.type);
    for i=Idx
      for j=1:dim
        data{j}=[q(j,me(i,R.Numbers));Ba(j,R.Numbers)];
      end
      line(data{:},'Color',R.vLineColor,'LineWidth',R.vLineWidth,'LineStyle',R.vLineStyle)
    end
  end 
  if R.FontSize>0
    strNum=num2str(R.Numbers);
    switch dim
      case 2
        h=text(Ba(1,R.Numbers),Ba(2,R.Numbers),strNum,TextOptions{:});
      case 3
        h=text(Ba(1,R.Numbers),Ba(2,R.Numbers),Ba(3,R.Numbers),strNum, TextOptions{:});
    end
  end
  fc_tools.graphics.RestoreHold(pih) 
  %if nargout==1, varargout{1}=h;end
end
